.timeline {
  min-width: 100%;
  min-height: 350px;
  overflow: auto;
  max-height: 350px;
  overflow-y: scroll;
  position: relative;
}
.timeline-list {
  position: relative;
  padding: 15px;
}
.timeline-list:before {
  background: #26C17E;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 10px;
  width: 4px;
  content: "";
  margin-left: 18px;
}
.timeline-list li {
  display: flex;
  align-items: flex-start;
  margin-bottom: 10px;
}
.timeline-list li:last-child {
  margin: 0;
}
.timeline-list li .timeline-date {
  padding: 15px;
  background: #fff;
  position: relative;
  left: -15px;
}
.timeline-list li .timeline-event {
  position: relative;
}
.timeline-list li .timeline-event:after {
  content: "";
  position: absolute;
  top: 15px;
  left: -10px;
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-right: 10px solid #eeeeee;
}
.timeline .loading-status {
  display: none;
}
.timeline .error-banner {
  color: red;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.timeline[disabled] {
  position: relative;
  overflow-y: hidden;
}
.timeline[disabled] .timeline-list {
  display: none;
}
.timeline[disabled] .loading-status {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  animation: rotating 2s linear infinite;
}
.timeline[disabled] .loading-status .icon {
  color: #26C17E;
  font-size: 24px;
}

@keyframes rotating {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}/*# sourceMappingURL=timelineStyle.css.map */